This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 106614 - prompt to update up2date doesn't if "don't install after retrieval"
prompt to update up2date doesn't if "don't install after retrieval"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 16:24 EDT by Chris Schanzle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 15:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2003-10-08 16:24:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031002

Description of problem:
When updating Fedora Core test2 last night, there was an update to up2date,
which it prompted me to install first and restart.  Good idea.  But I had also
selected "Do not install packages after retrieval", so while it appeared as
though up2date restarted itself with the just-downloaded update, it didn't
(verified with 'rpm -q up2date').  

Unchecking that option permitted the up2date update to install as expected.

This behavior, while understandable, is not obvious to the user as to what is
happening.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date-config: select "Do not install packages after retrieval"
2.run up2date on original Fedora Core test2
3.when prompted to update up2date, OK
4.after up2date restarts, note output of "rpm -q up2date"
    

Actual Results:  up2date did not get updated

Expected Results:  up2date should have been updated or at least prompted "you
selected the option to not install updates, but install update of up2date and
restart up2date?"  Then really install the update...


Additional info:
Comment 1 Adrian Likins 2004-08-24 15:53:03 EDT
current versions should be smart enough to avoid the
self update if it is just downloading.

Note You need to log in before you can comment on or make changes to this bug.